> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Submittals



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/projects/{projectId}/submittals/{submittalId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/submittals/{submittalId}:
    patch:
      tags:
        - Submittals
      summary: Update Submittals
      operationId: SubmittalsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: submittalId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedVersion:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                title:
                  type: string
                  minLength: 1
                  maxLength: 200
                revisionLabel:
                  anyOf:
                    - type: string
                      maxLength: 200
                    - type: 'null'
                message:
                  anyOf:
                    - type: string
                      maxLength: 4000
                    - type: 'null'
                dueDate:
                  anyOf:
                    - type: string
                      pattern: ^\d{4}-\d{2}-\d{2}$
                    - type: 'null'
                onSiteDate:
                  anyOf:
                    - type: string
                      pattern: ^\d{4}-\d{2}-\d{2}$
                    - type: 'null'
                leadWeeks:
                  anyOf:
                    - type: integer
                      minimum: 0
                      maximum: 520
                    - type: 'null'
                provider:
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            contactPersonId:
                              type: string
                              pattern: ^[1-9]\d{0,18}$
                          required:
                            - contactPersonId
                          additionalProperties: false
                        - type: object
                          properties:
                            email:
                              type: string
                              maxLength: 320
                              format: email
                              pattern: >-
                                ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                            firstName:
                              type: string
                              minLength: 1
                              maxLength: 100
                            lastName:
                              type: string
                              minLength: 1
                              maxLength: 100
                            companyName:
                              type: string
                              minLength: 1
                              maxLength: 200
                          required:
                            - email
                            - firstName
                            - companyName
                          additionalProperties: false
                    - type: 'null'
                providerMemberId:
                  anyOf:
                    - type: string
                      pattern: ^[1-9]\d{0,18}$
                    - type: 'null'
                assigneeId:
                  anyOf:
                    - type: string
                      pattern: ^[1-9]\d{0,18}$
                    - type: 'null'
                steps:
                  maxItems: 10
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        minLength: 1
                        maxLength: 100
                      approverIds:
                        minItems: 1
                        maxItems: 20
                        type: array
                        items:
                          type: string
                          pattern: ^[1-9]\d{0,18}$
                    required:
                      - name
                      - approverIds
                    additionalProperties: false
                instructions:
                  maxItems: 200
                  type: array
                  items:
                    type: object
                    properties:
                      text:
                        type: string
                        minLength: 1
                        maxLength: 2000
                      groupLabel:
                        anyOf:
                          - type: string
                            maxLength: 200
                          - type: 'null'
                    required:
                      - text
                      - groupLabel
                    additionalProperties: false
                items:
                  minItems: 1
                  maxItems: 200
                  type: array
                  items:
                    type: object
                    properties:
                      slotId:
                        type: string
                        pattern: ^[1-9]\d{0,18}$
                      requirements:
                        maxItems: 50
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              minLength: 1
                              maxLength: 500
                            groupLabel:
                              anyOf:
                                - type: string
                                  maxLength: 200
                                - type: 'null'
                            source:
                              type: string
                              enum:
                                - guidance
                                - custom
                          required:
                            - label
                            - source
                          additionalProperties: false
                    required:
                      - slotId
                    additionalProperties: false
              required:
                - expectedVersion
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.